Linux localhost 6.1.10-x86_64-linode159 #1 SMP PREEMPT_DYNAMIC Wed Feb 8 14:14:45 EST 2023 x86_64
Apache/2.4.25 (Debian)
Server IP : 45.33.61.127 & Your IP : 216.73.216.156
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
a2disconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dismod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2dissite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enconf
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2enmod
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2ensite
15.89
KB
-rwxr-xr-x
2019-06-16 09:49
a2query
9.64
KB
-rwxr-xr-x
2019-10-13 15:43
accessdb
10.23
KB
-rwxr-xr-x
2016-12-13 13:10
add-shell
860
B
-rwxr-xr-x
2017-04-02 17:10
addgnupghome
3.01
KB
-rwxr-xr-x
2019-02-07 20:57
addgroup
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
adduser
33.7
KB
-rwxr-xr-x
2016-06-26 22:55
apache2
651.13
KB
-rwxr-xr-x
2019-10-13 15:43
apache2ctl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
apachectl
7.05
KB
-rwxr-xr-x
2019-10-13 15:39
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2019-02-07 20:57
arpd
46.84
KB
-rwxr-xr-x
2017-11-24 09:22
aspell-autobuildhash
13.22
KB
-rwxr-xr-x
2016-10-10 09:58
biosdecode
18.82
KB
-rwxr-xr-x
2016-09-01 02:59
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
57.8
KB
-rwxr-xr-x
2017-05-17 11:59
chpasswd
49.9
KB
-rwxr-xr-x
2017-05-17 11:59
chroot
38.88
KB
-rwxr-xr-x
2017-02-22 12:23
cpgr
52
KB
-rwxr-xr-x
2017-05-17 11:59
cppw
52
KB
-rwxr-xr-x
2017-05-17 11:59
cron
47.48
KB
-rwxr-xr-x
2017-10-07 13:38
delgroup
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
deluser
15.43
KB
-rwxr-xr-x
2016-06-26 22:55
dmidecode
102.49
KB
-rwxr-xr-x
2016-09-01 02:59
dpkg-preconfigure
3.52
KB
-rwxr-xr-x
2017-05-21 17:08
dpkg-reconfigure
4.23
KB
-rwxr-xr-x
2017-05-21 17:08
e2freefrag
10.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4crypt
22.07
KB
-rwxr-xr-x
2020-07-25 09:03
e4defrag
25.99
KB
-rwxr-xr-x
2020-07-25 09:03
fdformat
30.66
KB
-rwxr-xr-x
2018-03-07 18:29
ferm
83.84
KB
-rwxr-xr-x
2016-03-30 12:16
filefrag
14.02
KB
-rwxr-xr-x
2020-07-25 09:03
genl
50.79
KB
-rwxr-xr-x
2017-11-24 09:22
groupadd
57.86
KB
-rwxr-xr-x
2017-05-17 11:59
groupdel
53.65
KB
-rwxr-xr-x
2017-05-17 11:59
groupmems
53.84
KB
-rwxr-xr-x
2017-05-17 11:59
groupmod
68.22
KB
-rwxr-xr-x
2017-05-17 11:59
grpck
53.77
KB
-rwxr-xr-x
2017-05-17 11:59
grpconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grpunconv
49.65
KB
-rwxr-xr-x
2017-05-17 11:59
grub-bios-setup
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-install
996.58
KB
-rwxr-xr-x
2019-06-12 11:20
grub-macbless
777.88
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkconfig
7.82
KB
-rwxr-xr-x
2019-06-12 11:20
grub-mkdevicemap
204.47
KB
-rwxr-xr-x
2019-06-12 11:20
grub-probe
790.19
KB
-rwxr-xr-x
2019-06-12 11:20
grub-reboot
4.01
KB
-rwxr-xr-x
2019-06-12 11:20
grub-set-default
3.48
KB
-rwxr-xr-x
2019-06-12 11:20
httxt2dbm
9.99
KB
-rwxr-xr-x
2019-10-13 15:43
iconvconfig
22.66
KB
-rwxr-xr-x
2019-02-06 21:17
import-ferm
16.81
KB
-rwxr-xr-x
2016-03-30 12:16
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2016-11-07 07:06
invoke-rc.d
17.69
KB
-rwxr-xr-x
2017-05-02 10:20
iotop
496
B
-rwxr-xr-x
2016-07-29 10:25
ip6tables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
iptables-apply
6.85
KB
-rwxr-xr-x
2017-04-12 09:41
irqbalance
55.38
KB
-rwxr-xr-x
2017-03-10 18:56
ispell-autobuildhash
15.39
KB
-rwxr-xr-x
2016-10-10 09:58
laptop-detect
2.53
KB
-rwxr-xr-x
2016-12-27 03:11
ldattach
30.71
KB
-rwxr-xr-x
2018-03-07 18:29
locale-gen
1.5
KB
-rwxr-xr-x
2017-07-31 14:32
logrotate
75.27
KB
-rwxr-xr-x
2017-01-07 18:54
make-ssl-cert
3.78
KB
-rwxr-xr-x
2017-04-28 19:58
mkinitramfs
10.01
KB
-rwxr-xr-x
2017-04-26 01:00
mklost+found
9.99
KB
-rwxr-xr-x
2020-07-25 09:03
mysqld
17.05
MB
-rwxr-xr-x
2021-01-31 16:38
newusers
78.43
KB
-rwxr-xr-x
2017-05-17 11:59
nfnl_osf
13.99
KB
-rwxr-xr-x
2017-04-12 09:41
nologin
5.99
KB
-rwxr-xr-x
2017-05-17 11:59
ownership
10.13
KB
-rwxr-xr-x
2016-09-01 02:59
pam-auth-update
19.03
KB
-rwxr-xr-x
2017-05-27 15:44
pam_getenv
2.82
KB
-rwxr-xr-x
2017-05-27 15:44
pam_timestamp_check
10.37
KB
-rwxr-xr-x
2017-05-27 15:44
paperconfig
4.07
KB
-rwxr-xr-x
2016-11-11 11:28
phpdismod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpenmod
7.11
KB
-rwxr-xr-x
2019-08-14 06:09
phpquery
6.24
KB
-rwxr-xr-x
2019-08-14 06:09
pwck
49.84
KB
-rwxr-xr-x
2017-05-17 11:59
pwconv
45.74
KB
-rwxr-xr-x
2017-05-17 11:59
pwunconv
41.72
KB
-rwxr-xr-x
2017-05-17 11:59
readprofile
18.59
KB
-rwxr-xr-x
2018-03-07 18:29
remove-default-ispell
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2016-10-10 09:58
remove-shell
904
B
-rwxr-xr-x
2017-04-02 17:10
rmt
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rmt-tar
55.03
KB
-rwxr-xr-x
2016-10-30 06:35
rsyslogd
636.3
KB
-rwxr-xr-x
2017-01-18 22:14
rtcwake
42.81
KB
-rwxr-xr-x
2018-03-07 18:29
safe_finger
10.08
KB
-rwxr-xr-x
2016-12-25 23:08
select-default-ispell
3.23
KB
-rwxr-xr-x
2016-10-10 09:58
select-default-wordlist
3.21
KB
-rwxr-xr-x
2016-10-10 09:58
service
9.83
KB
-rwxr-xr-x
2017-05-02 10:20
setvesablank
10.36
KB
-rwxr-xr-x
2016-01-05 16:55
split-logfile
2.36
KB
-rwxr-xr-x
2019-10-13 15:43
sshd
772.48
KB
-rwxr-xr-x
2019-07-15 13:32
tarcat
936
B
-rwxr-xr-x
2016-10-30 06:35
tcpd
10
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdchk
22.13
KB
-rwxr-xr-x
2016-12-25 23:08
tcpdmatch
18.04
KB
-rwxr-xr-x
2016-12-25 23:08
tcptraceroute
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2016-08-29 15:45
traceroute
67.16
KB
-rwxr-xr-x
2016-08-29 15:45
try-from
10
KB
-rwxr-xr-x
2016-12-25 23:08
tunelp
26.61
KB
-rwxr-xr-x
2018-03-07 18:29
tzconfig
106
B
-rwxr-xr-x
2019-10-11 07:23
update-ca-certificates
4.85
KB
-rwxr-xr-x
2020-06-05 16:52
update-catalog
9.15
KB
-rwxr-xr-x
2016-11-07 07:06
update-default-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-ispell
9.68
KB
-rwxr-xr-x
2016-10-10 09:58
update-default-wordlist
7.5
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2016-10-10 09:58
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2016-10-10 09:58
update-grub
64
B
-rwxr-xr-x
2019-06-12 11:20
update-grub2
64
B
-rwxr-xr-x
2019-06-12 11:20
update-gsfontmap
450
B
-rwxr-xr-x
2020-08-20 14:04
update-initramfs
8.02
KB
-rwxr-xr-x
2017-03-06 22:42
update-locale
2.99
KB
-rwxr-xr-x
2016-03-20 23:45
update-mime
8.84
KB
-rwxr-xr-x
2016-05-01 11:20
update-passwd
30.41
KB
-rwxr-xr-x
2017-01-16 15:52
update-pciids
2.84
KB
-rwxr-xr-x
2016-11-30 06:53
update-rc.d
15.69
KB
-rwxr-xr-x
2017-05-02 10:20
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2016-11-07 14:53
upgrade-from-grub-legacy
1.49
KB
-rwxr-xr-x
2019-06-12 11:20
useradd
119.29
KB
-rwxr-xr-x
2017-05-17 11:59
userdel
82.49
KB
-rwxr-xr-x
2017-05-17 11:59
usermod
119.1
KB
-rwxr-xr-x
2017-05-17 11:59
validlocale
1.73
KB
-rwxr-xr-x
2016-03-20 23:45
vcstime
6.24
KB
-rwxr-xr-x
2016-01-05 16:55
vigr
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
vipw
60.22
KB
-rwxr-xr-x
2017-05-17 11:59
visudo
200.34
KB
-rwxr-xr-x
2021-01-23 09:10
vpddecode
14.27
KB
-rwxr-xr-x
2016-09-01 02:59
zic
42.54
KB
-rwxr-xr-x
2019-02-06 21:17
Save
Rename
#!/bin/sh # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use this file except in compliance with # the License. You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distributed under the License is distributed on an "AS IS" BASIS, # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. # See the License for the specific language governing permissions and # limitations under the License. # # # Apache control script designed to allow an easy command line interface # to controlling Apache. Written by Marc Slemko, 1997/08/23 # # Heavily modified for Debian by Stefan Fritsch 2007-2010 # # The exit codes returned are: # XXX this doc is no longer correct now that the interesting # XXX functions are handled by httpd # 0 - operation completed successfully # 1 - # 2 - usage error # 3 - httpd could not be started # 4 - httpd could not be stopped # 5 - httpd could not be started during a restart # 6 - httpd could not be restarted during a restart # 7 - httpd could not be restarted during a graceful restart # 8 - configuration syntax error # # When multiple arguments are given, only the error from the _last_ # one is reported. Run "apachectl help" for usage info # ARGV="$@" # # |||||||||||||||||||| START CONFIGURATION SECTION |||||||||||||||||||| # -------------------- -------------------- # # main configuration directory if test -z "$APACHE_CONFDIR" ; then if test "${0##*apache2ctl-}" != "$0" ; then APACHE_CONFDIR="/etc/apache2-${0##*apache2ctl-}" else APACHE_CONFDIR=/etc/apache2 fi fi SUFFIX="${APACHE_CONFDIR##/etc/apache2-}" case "$SUFFIX" in /etc/apache2) SUFFIX="" ;; *) SUFFIX="@$SUFFIX" ;; esac APACHE_SYSTEMD_SERVICE="apache2$SUFFIX" # the path to the environment variable file test -z "$APACHE_ENVVARS" && APACHE_ENVVARS="$APACHE_CONFDIR/envvars" # pick up any necessary environment variables if test -f $APACHE_ENVVARS; then . $APACHE_ENVVARS fi if test "$APACHE_CONFDIR" != /etc/apache2 ; then APACHE_ARGUMENTS="-d $APACHE_CONFDIR $APACHE_ARGUMENTS" fi # the following APACHE_* variables should be set in /etc/apache2/envvars # # the path to your httpd binary, including options if necessary HTTPD=${APACHE_HTTPD:-/usr/sbin/apache2} # # a command that outputs a formatted text version of the HTML at the # url given on the command line. Designed for lynx, however other # programs may work. LYNX="${APACHE_LYNX:-www-browser -dump}" # # the URL to your server's mod_status status page. If you do not # have one, then status and fullstatus will not work. STATUSURL="${APACHE_STATUSURL:-http://localhost:80/server-status}" # # Set this variable to a command that increases the maximum # number of file descriptors allowed per child process. This is # critical for configurations that use many file descriptors, # such as mass vhosting, or a multithreaded server. ULIMIT_MAX_FILES="${APACHE_ULIMIT_MAX_FILES:-ulimit -n 8192}" # -------------------- -------------------- # |||||||||||||||||||| END CONFIGURATION SECTION |||||||||||||||||||| # Set the maximum number of file descriptors allowed per child process. if [ "x$ULIMIT_MAX_FILES" != "x" ] && [ `id -u` -eq 0 ] ; then if ! $ULIMIT_MAX_FILES ; then echo Setting ulimit failed. See README.Debian for more information. >&2 fi fi ERROR=0 if [ "x$ARGV" = "x" ] || [ "x$ARGV" = "xusage" ] || [ "x$ARGV" = "xhelp" ] || [ "x$ARGV" = "x--help" ]; then echo "Usage: $0 start|stop|restart|graceful|graceful-stop|configtest|status|fullstatus|help" >&2 echo " $0 <apache2 args>" >&2 echo " $0 -h (for help on <apache2 args>)" >&2 exit 1 fi get_status () { if ! $LYNX $STATUSURL ; then echo "'$LYNX $STATUSURL'" failed. >&2 echo Maybe you need to install a package providing www-browser or you >&2 echo need to adjust the APACHE_LYNX variable in /etc/apache2/envvars >&2 exit 1 fi } mkdir_chown () { local OWNER="$1" local DIR="$2" local STAT="$(LC_ALL=C stat -c %F:%U $DIR 2> /dev/null || true)" if [ "$STAT" = "" ] ; then local TMPNAME=$(mktemp -d $DIR.XXXXXXXXXX) || exit 1 chmod 755 $TMPNAME || exit 1 chown $OWNER $TMPNAME || exit 1 if ! mv -T $TMPNAME $DIR 2> /dev/null; then rmdir $TMPNAME # check for race with other apachectl if [ "$(LC_ALL=C stat -c %F:%U $DIR 2>/dev/null)" != "directory:$OWNER" ] then echo Cannot create $DIR with owner $OWNER. echo Please fix manually. Aborting. exit 1 fi fi elif [ "$STAT" != "directory:$OWNER" ] ; then echo $DIR already exists but is not a directory owned by $OWNER. echo Please fix manually. Aborting. exit 1 fi } [ ! -d ${APACHE_RUN_DIR:-/var/run/apache2} ] && mkdir -p ${APACHE_RUN_DIR:-/var/run/apache2} [ ! -d ${APACHE_LOCK_DIR:-/var/lock/apache2} ] && mkdir_chown ${APACHE_RUN_USER:-www-data} ${APACHE_LOCK_DIR:-/var/lock/apache2} case $ARGV in start) # ssl_scache shouldn't be here if we're just starting up. # (this is bad if there are several apache2 instances running) rm -f ${APACHE_RUN_DIR:-/var/run/apache2}/*ssl_scache* need_systemd=false if [ -z "$APACHE_STARTED_BY_SYSTEMD" ] ; then case "$(readlink -f /proc/1/exe)" in *systemd*) need_systemd=true ;; *) ;; esac fi if $need_systemd ; then # If running on systemd we should not start httpd without systemd # or systemd will get confused about the status of httpd. echo "Invoking 'systemctl start $APACHE_SYSTEMD_SERVICE'." echo "Use 'systemctl status $APACHE_SYSTEMD_SERVICE' for more info." systemctl start "$APACHE_SYSTEMD_SERVICE" else unset APACHE_STARTED_BY_SYSTEMD $HTTPD ${APACHE_ARGUMENTS} -k $ARGV fi ERROR=$? ;; stop|graceful-stop) $HTTPD ${APACHE_ARGUMENTS} -k $ARGV ERROR=$? ;; restart|graceful) if $HTTPD ${APACHE_ARGUMENTS} -t 2> /dev/null ; then $HTTPD ${APACHE_ARGUMENTS} -k $ARGV else $HTTPD ${APACHE_ARGUMENTS} -t fi ERROR=$? ;; startssl|sslstart|start-SSL) echo The startssl option is no longer supported. echo Please edit httpd.conf to include the SSL configuration settings echo and then use "apachectl start". ERROR=2 ;; configtest) $HTTPD ${APACHE_ARGUMENTS} -t ERROR=$? ;; status) get_status | awk ' /process$/ { print; exit } { print } ' ;; fullstatus) get_status ;; *) $HTTPD ${APACHE_ARGUMENTS} $ARGV ERROR=$? esac if [ "$ERROR" != 0 ] ; then echo Action \'"$@"\' failed. echo The Apache error log may have more information. fi exit $ERROR